//A pipeline builds project SHC.iOS, check out the source code from branch SHC-90-continuous-building-on-local
pipeline{
    agent any
    stages{
        stage('Check out'){
            steps{

                //Check out from remote branch
                git branch: 'master',
                    credentialsId: '38ceec3e-7097-48ee-bae2-8c8c07d8a045',
                    url: 'git@git.siouxdev.com:sioux-home-control/sioux-home-control.git'
                
                //Clean up the workspace
                sh 'git clean -d -x -f'
            }
        }
        stage('Build'){
            steps{
                //msbuild 'SHC.IOS.csproj'
                sh '/Library/Frameworks/Mono.framework/Versions/Current/bin/msbuild SourceCode/SiouxHomeControlInXamarin/SHC.iOS/SHC.iOS.csproj /t:Build /p:Configuration="Release" /p:Platform="iPhone" /p:BuildIpa=true /p:IpaPackageDir=Archive/'

                //archive to artifacts
                archiveArtifacts 'SourceCode/SiouxHomeControlInXamarin/SHC.iOS/Archive/'
            }
        }
    }
}